Bug 150156 - arping returning -1 on top of infiniband
arping returning -1 on top of infiniband
Product: Fedora
Classification: Fedora
Component: iputils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-03-02 18:55 EST by Tom Duffy
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-04 06:14:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to initilize received to 0 (359 bytes, patch)
2005-03-02 18:55 EST, Tom Duffy
no flags Details | Diff

  None (edit)
Description Tom Duffy 2005-03-02 18:55:22 EST
Description of problem:
It seems the arping utility is incorrectly returning -1 received packets when
run on top of an infiniband interface.

[root@flopteron iputils]# !./arping
./arping -c 2 -w 3 -D -I ib0
ARPING from ib0
Sent 2 probes (2 broadcast(s))
Received -1 response(s)

This causes the ifup script to think the address is already in use on the network.

Version-Release number of selected component (if applicable):


How reproducible:


this patch seems to fix at least the negative return.

--- arping.c.orig       2005-03-02 15:29:50.820076282 -0800
+++ arping.c    2005-03-02 15:52:36.613692634 -0800
@@ -56,7 +56,7 @@
 struct timeval start, last;

 int sent, brd_sent;
-int received, brd_recv, req_recv;
+int received = 0, brd_recv, req_recv;

 #define MS_TDIFF(tv1,tv2) ( ((tv1).tv_sec-(tv2).tv_sec)*1000 + \
                           ((tv1).tv_usec-(tv2).tv_usec)/1000 )

Now, I get:

[root@flopteron iputils]# ./arping -c 2 -w 3 -D -I ib0
ARPING from ib0
Sent 2 probes (2 broadcast(s))
Received 0 response(s)

Which allows ifup to continue.
Comment 1 Tom Duffy 2005-03-02 18:55:22 EST
Created attachment 111603 [details]
patch to initilize received to 0
Comment 2 Radek Vokal 2005-03-04 06:14:48 EST
I've included the patch in rawhide version of iputils.
Comment 3 Tom Duffy 2005-07-15 17:17:37 EDT
The patch I sent was bogus.  This bug stemmed from a buffer overflow that was
seen using fortified builds.  I have opened a new bug 163383 which has a patch
that really fixes the problem seen here.

Please backout this patch and close this bug as invalid (or dup).

Comment 4 Radek Vokal 2005-07-18 03:10:14 EDT
Ok, I will replace your patch. Thanks for your input cos I don't have infiniband
interface to test those issues on ... 

Note You need to log in before you can comment on or make changes to this bug.